CNaughtCNaught
PricingSign In

Get Quote for Office Space Emissions

Get a price quote for offsetting office space carbon emissions. Will return the amount of CO₂e to offset and total price.

POST/quotes/office-space

Authorizations#

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.

Headers#

X-Subaccount-Id

string

If present, will use pricing appropriate for the subaccount with given id.

Body#

Quote Parameters

square_footage

number

required

Square footage of the office space, in ft²

portfolio_id

string | null

Optional ID of the portfolio to use for the quote. The quote will be for an order fulfilled from this portfolio. If not specified, the account's default portfolio will be used.

source

string | null

Optional source of the quote. Defaults to api if not specified, otherwise must be one of api or checkout. Use api if the eventual order will be placed via the Order API. Use checkout if the order will be placed using the Checkout Session API.

Response#

200

Quote Details

Get Quote for Ground Transport Emissions

Get Quote for Office Space Emissions

curl --request POST \
  --url https://api.cnaught.com/v1/quotes/office-space \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "square_footage": 1500.25
}'
{
  "amount_kg": 15,
  "price_usd_cents": 2350
}